Bug 1295098 - python3-rdflib requires no python modules
python3-rdflib requires no python modules
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: python-rdflib (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dave Malcolm
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-02 07:38 EST by Miro Hrončok
Modified: 2017-07-25 18:00 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-25 18:00:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miro Hrončok 2016-01-02 07:38:13 EST
When I install python3-rdflib and try to run the basic example from http://rdflib.readthedocs.org/en/stable/gettingstarted.html

    import rdflib
    
    g = rdflib.Graph()
    result = g.parse("http://www.w3.org/People/Berners-Lee/card")
    
    print("graph has %s statements." % len(g))
    # prints graph has 79 statements.
    
    for subj, pred, obj in g:
        if (subj, pred, obj) not in g:
            raise Exception("It better be!")
    
    s = g.serialize(format='n3')

I get:

    Traceback (most recent call last):
      File "./querytool.py", line 3, in <module>
        import rdflib
      File "/usr/lib/python3.4/site-packages/rdflib/__init__.py", line 108, in     <module>
        from rdflib.term import (
      File "/usr/lib/python3.4/site-packages/rdflib/term.py", line 51, in <module>
        from isodate import parse_time, parse_date, parse_datetime
    ImportError: No module named 'isodate'

Version-Release number of selected component (if applicable):
Everything from python3-rdflib-4.1.2-3.fc21 to 4.1.2-5.fc24.

The problem is that python3-rdflib has no python3-xxx dependencies.
    $ dnf repoquery --requires python3-rdflib --releasever rawhide
    Using metadata from Sat Jan  2 06:23:17 2016 (7:08:40 hours old)
    /usr/bin/python3
    python(abi) = 3.5
    
    $ dnf repoquery --requires python-rdflib --releasever rawhide
    Using metadata from Sat Jan  2 06:23:17 2016 (7:08:47 hours old)
    /usr/bin/env
    /usr/bin/python2
    pyparsing
    python-isodate
    python(abi) = 2.7
    python-html5lib >= 1:


Please add python3 requirements to the spec file for all Fedoras.

    Requires:       python3-html5lib >= 1:
    Requires:       python3-isodate
    Requires:       python3-pyparsing

Goes here: http://pkgs.fedoraproject.org/cgit/python-rdflib.git/tree/python-rdflib.spec#n66
Comment 1 Jan Kurik 2016-02-24 09:12:09 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 2 Fedora End Of Life 2017-07-25 15:42:36 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 3 Dan Callaghan 2017-07-25 18:00:44 EDT
Miro, looks like you've fixed this for F26 onwards:

http://pkgs.fedoraproject.org/cgit/rpms/python-rdflib.git/commit/?id=cd0dee68dac2091f8982b69819ddd31f6820d869

Note You need to log in before you can comment on or make changes to this bug.